.TH "clulockd" "8" "May 2003" "" "Red Hat Cluster Manager"
.SH "NAME"
clulockd \- Cluster Global Lock Manager Daemon
.SH "DESCRIPTION"
.PP 
The
.B clulockd
daemon manages the global cluster locks and serializes access to them.  
Since locks are stored on the shared media, all cluster members have access
to them at all times - which is why we must serialize access to them.

.SH "HOW IT WORKS"
Because the lock states are stored on persistent, cluster-wide storage, it
is very easy to recover locks in the event of failures.  The cluster relies
on events from the quorum daemon (see cluquorumd(8)) to determine whether or
not it is, in fact, safe to issue, take, or grant locks.

.SH "SEE ALSO"
clumembd(8), cluquorumd(8), clusvcmgrd(8), clurmtabd(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
